***** APPENDING THE PSLSD ONTO PALMS *****

clear all
use "/Users/Gabriel/Documents/DataFirst Work/PSLSD Project/Data/New PALMS/palmsv2.2.dta"
set more off

cd "/Users/Gabriel/Documents/DataFirst Work/PSLSD Project/Data/My files"
append using PSLSDforPALMS.dta

svyset ea [w=ceweight2]

mean ceweight2, over(wave)

tab personnr if wave==0  //I'm not sure why personnr was converted to float, its values from the 
//PSLSD should fit into the range of a byte variable. 

tab age if wave==0, m //again no reason that age should have been converted from int to float as 
//there are never more than 3 digits needed. Unless it is more a matter of matching the format of the using. 

tab wave  //note the PSLSD's far smaller size. 

br if wave==0 //PALMS labels fit to PSLSD variables


**Dropping variables**
//Note! Up until this point all original PSLSD variables can be looked at and manipulated. 
//After this point most variables are dropped

drop hhid-toilloc_


cd "/Users/Gabriel/Documents/DataFirst Work/PSLSD Project/Data/My files"
save PALMS_wPSLSD.dta, replace




