
*Adjusting PSLSD before appending into PALMS
* A Kerr, May 2016. PSLSD work done by Gabriel Espi Sanchez for DataFirst

clear all
local pslsdfolder="C:\Users\01430870\Desktop\Andy\DataFirst\main project\PSLSD\From Gabriel"
local pslsdmergefolder="C:\Users\01430870\Desktop\Andy\DataFirst\main project\PSLSD\pslsdmerge"
use "`pslsdfolder'\PSLSDforPALMSv19052016.dta"

drop pr_rand bracketweight ceweight2

replace age=. if age<0
rename rcweight pweight

rename realearnings pslsd_realearnings 
rename earnings  pslsd_earnings 
*rename emptype pslsd_emptype
rename employerAll pslsd_employerAll  

save "`pslsdmergefolder'\PSLSDforPALMS_adj.dta", replace


use "`pslsdfolder'\PSLSDforPALMSv3.dta"
keep  wave uqnr personnr ceweight2
sort wave uqnr personnr

save "`pslsdmergefolder'\PSLSDceweights.dta", replace
