
*create a smaller version of the qlfss for eventual incorporation into extended PALMS
* Andrew Kerr April 2012, revised October 2014 and October 2015
*revised April 2016.
*revised May 2017

clear all
set more off

global mergefolder="C:\Users\01430870\Desktop\Andy\DataFirst\main project\Quarterly LFS\QLFSmerge"
*global mergefolder="C:\Users\user\Desktop\Andy\DataFirst\PALMS"
use "$mergefolder\qlfswaves23to64.dta"


	keep  wave uqnr personnr popgroup province stratum urbrur2 urbrur3 metro psu weight  gender age marstat marstat3 educhigh2 educhigh3 educhigh4 jobindcode jobocccode occupation industry status /* sector1 sector2*/ totalhrswrklastwk_onejob ///
	totalhrswrklastwk_alljo jobsector2 informal_derived regisvat registax businesstype3 employer2 jobunion numworkers2 jobstartyear jobstartmonth jobcontract2 ///
	jobsalperiod tipscomm monthlyjobsalary salaryrefusedontknow selfemppayperiod2 monthlyjobearn earningsrefusedontknow earningscat ///
	year inperson 
	
	order uqnr personnr year wave province psu stratum urbrur2 urbrur3 metro weight popgroup gender age marstat3 educhigh2 educhigh3 educhigh4 status employer2 jobunion jobindcode jobocccode businesstype3 totalhrswrklastwk_onejob ///
	totalhrswrklastwk_alljo jobsalperiod tipscomm monthlyjobsalary salaryrefusedontknow selfemppayperiod2 monthlyjobearn earningsrefusedontknow earningscat
	
	save "$mergefolder\qlfswaves23to64small.dta", replace

	
