*A Kerr, April 2016
clear all


local mergefolder="C:\Users\01430870\Desktop\Andy\DataFirst\main project\Quarterly LFS\QLFSmerge"
local datafolder="C:\Users\01430870\Desktop\Andy\DataFirst\main project\Quarterly LFS\QLFS 2016_2\Data"

	use "`datafolder'\QLFS 2016_2 Worker 1.0 Stata11.dta"
	*need to check this, maybe other is better??
	renvars, lower
	gen psunostr=substr(uqno,1,8)
	destring psunostr, gen(psuno)
		gen wave=56
	
	*now here is the LMD income data
	sort uqno personno
	merge 1:1 uqno personno using "`mergefolder'\lmdincomes2016q2.dta"
	
	
	 tab _merge
	 drop _merge
	
	 
	quietly do "`mergefolder'\QLFSrename2016_2.do"
	quietly do "`mergefolder'\QLFSrename2.do"
	
	gen marstat=1 if marstat3>=1 & marstat3<=2
	replace marstat=2 if marstat3==3
	replace marstat=3 if marstat3==4
	replace marstat=4 if marstat3==5
	replace marstat=9 if marstat3==9
	
	/*march 2013 addition, since no q 4.17 in 2009:3 and later waves!
	*probably not directly comparable since no don't know category here. Other is self-employed formal people I think!
	gen formalreg2=.
	replace formalreg2=1 if infempl==1 | infempl==8
	replace formalreg2=2 if infempl==2
	*/
	*need to change metro to be consistent with pre 2015 QLFS. 
	gen metro2=.
	replace metro2=71 if metro==2
	replace metro2=72 if metro==10
	replace metro2=73 if metro==13
	replace metro2=74 if metro==14
	replace metro2=75 if metro==5
	replace metro2=76 if metro==15
	replace metro2=0 if metro2==.
	drop metro
	rename metro2 metro
	
	quietly do "`mergefolder'\qlfslabelvars.do"
	quietly do "`mergefolder'\qlfslabeldefine.do"
	quietly do "`mergefolder'\qlfslabelvalues.do"	
	
compress
*sort personid
numlabel, add
save "`mergefolder'\qlfs2016_2.dta", replace
