* program QLFScreatedofiles.do
* A Kerr April 2012, based on a do file from David Lam, University of Michigan
*updated October 2015
* updated April 2016
*updated Sept 2017, Aug 2019
set more off
clear all


local mergefolder="C:\Users\01430870\Desktop\Andy\DataFirst\main project\Quarterly LFS\QLFSmerge"

insheet using "`mergefolder'\LFS master codebook with QLFS.csv"

compress


foreach v in 2008_1 2008_2 2008_3 2008_4  2009_1 2009_2 2009_3 2009_4 2010_1 2010_2 2010_3 2010_4  2011_1 2011_2 2011_3 2011_4 2012_1 2012_2 ///
		2012_3 2012_4 2013_1 2013_2 2013_3 2013_4 2014_1 2014_2 2014_3 2014_4 2015_1 2015_2 2015_3 2015_4  2016_1 2016_2 2016_3 2016_4 2017_1 2017_2 2017_3 2017_4 ///
		2018_1 2018_2 2018_3 2018_4 2019_1 2019_2{
	gen str60 rename`v'="cap rename "+var`v'+" "+newcode if var`v'~=""
	outfile rename`v' using "`mergefolder'\QLFSrename`v'.do", replace noquote
}

*create do file to do second renaming
gen str60 rename2="cap rename "+ newcode + " " + newcode2 if newcode2~="" & newcode~=""
outfile rename2 using "`mergefolder'\QLFSrename2.do", replace noquote

*create a single do file for variable labels
gen str150 dofilelabvar="cap label var "+ newcode2 + " " + `" ""'+desc+ `"""'
outfile dofilelabvar using "`mergefolder'\qlfslabelvars.do", replace noquote




clear
insheet using "`mergefolder'\QLFS master value labels.csv"
compress

gen str10 labnumstr=string(vallabnum)
gen str150 dofilelabdef="cap label define "+newcode2+" "+labnumstr+ `" ""' + vallabel + `"""' +", modify" if vallabnum~=.
compress
outfile dofilelabdef using "`mergefolder'\qlfslabeldefine.do" if vallabnum~=. , replace noquote

bysort id: gen count=_n
gen str150 dofilelabval="cap label values "+ newcode2 + " " + newcode2 if vallabnum~=. & count==1
compress
outfile dofilelabval using "`mergefolder'\qlfslabelvalues.do" if vallabnum~=. & count==1 , replace noquote


exit

