*prepares QLFS 2009 wave 3 to append to other QLFSs
*A Kerr, April 2012

clear all


local mergefolder="C:\Users\01430870\Desktop\Andy\DataFirst\main project\Quarterly LFS\QLFSmerge"
local datafolder="C:\Users\01430870\Desktop\Andy\DataFirst\main project\Quarterly LFS\LFS 2009_3\Data"

	use "`datafolder'\QLFS 2009_3 Worker_v2.0.dta"
	*need to check this, maybe other is better??
	renvars, lower
	*psu WAS in old 2009 q3 data but not in more recent data...
	gen psunostr=substr(uqno,1,8)
	destring psunostr, gen(psuno)
	gen wave=29
		
		
	quietly do "`mergefolder'\QLFSrename2009_3.do"
	quietly do "`mergefolder'\QLFSrename2.do"
	
	gen marstat=1 if marstat3>=1 & marstat3<=2
	replace marstat=2 if marstat3==3
	replace marstat=3 if marstat3==4
	replace marstat=4 if marstat3==5
	replace marstat=9 if marstat3==9
	
	quietly do "`mergefolder'\qlfslabelvars.do"	
	
	/*march 2013 addition, since no q 4.17 in 2009:3 and later waves!
	*probably not directly comparable since no don't know category here. Other is self-employed formal people I think!
	gen formalreg2=.
	replace formalreg2=1 if infempl==1 | infempl==8
	replace formalreg2=2 if infempl==2
	*/
compress
*sort personid
numlabel, add
save "`mergefolder'\qlfs2009_3.dta", replace
